GCLOUD_CONTAINER_NODE-POOLS_DELETE(1)

NAME

gcloud container node-pools delete - delete an existing node pool in a running cluster

SYNOPSIS

gcloud container node-pools delete NAME [--cluster CLUSTER] [--no-wait] [--zone ZONE, -z ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud container node-pools delete deletes a node pool from a Google Container Engine cluster.

POSITIONAL ARGUMENTS
NAME
    The name of the node pool to delete.

FLAGS
--cluster CLUSTER
    The cluster from which to delete the node pool.
--wait
    Poll the operation for completion after issuing a delete request. Enabled by default, use --no-wait to disable.
--zone ZONE, -z ZONE
    The compute zone (e.g. us-central1-a) for the cluster

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
To delete the "node-pool-1" node pool from the cluster "sample-cluster", run:
    $ gcloud container node-pools delete node-pool-1 \
        --cluster=sample-cluster